Skip to main content
POST
/
v1
/
workflows
/
yaml
/
validate
from retab import Retab

client = Retab()

validation = client.workflows.specs.validate(yaml_definition)

print(validation.is_valid)
print(validation.diagnostics)
{
  "workflow_id": "wf_abc123",
  "block_count": 2,
  "edge_count": 1,
  "is_valid": true,
  "diagnostics": {
    "issues": []
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.retab.com/llms.txt

Use this file to discover all available pages before exploring further.

Validate a declarative workflow YAML spec without changing workflow state. Declarative specs use apiVersion: workflows.retab.com/v1alpha2. Edges must be explicit and handle-based:
spec:
  edges:
    - from:
        block: start-node
        handle: output-file-0
      to:
        block: extract-node
        handle: input-file-source_doc
Handles are raw runtime handles and are validated against the block type and block configuration.
from retab import Retab

client = Retab()

validation = client.workflows.specs.validate(yaml_definition)

print(validation.is_valid)
print(validation.diagnostics)
{
  "workflow_id": "wf_abc123",
  "block_count": 2,
  "edge_count": 1,
  "is_valid": true,
  "diagnostics": {
    "issues": []
  }
}

Authorizations

Api-Key
string
header
required

Query Parameters

access_token
string | null

Body

application/json
yaml_definition
string
required

Workflow YAML definition

Response

Successful Response

workflow_id
string
required
block_count
integer
required
edge_count
integer
required
is_valid
boolean
required
diagnostics
Diagnostics · object
required